'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _mixin = require('./mixin');

var _variable = require('./variable');

var _variable2 = _interopRequireDefault(_variable);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function StyleMix() {
  var theme = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

  var core = theme.Core;
  var Variables = (0, _variable2.default)(theme);
  return {
    Icon: _extends({
      'icon-image': {
        flexDirection: 'row',
        alignSelf: 'center',
        alignItems: 'center'
      },
      'image-xs': (0, _mixin.imageSize)(core['icon-xs']),
      'image-small': (0, _mixin.imageSize)(core['icon-s']),
      'image-medium': (0, _mixin.imageSize)(core['icon-m']),
      'image-large': (0, _mixin.imageSize)(core['icon-l']),
      'icon-iconfont': {
        fontWeight: 400
      },
      'iconfont-xs': (0, _mixin.fontSize)(core['icon-xs']),
      'iconfont-small': (0, _mixin.fontSize)(core['icon-s']),
      'iconfont-medium': (0, _mixin.fontSize)(core['icon-m']),
      'iconfont-large': (0, _mixin.fontSize)(core['icon-l'])
    }, Variables)
  };
}
module.exports = StyleMix;